| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
Device Management (LPC11Uxx, LPC1347)
Device Management

## Detailed Description

USB Device definitions for the LPC1347 and LPC11Uxx microcontrollers.

Architecture specific USB Device definitions for the LPC microcontrollers.

## Macros
#define | USB_DEVICE_OPT_LOWSPEED (1 << 0)
#define | USB_DEVICE_OPT_FULLSPEED (0 << 0)
#define | USE_INTERNAL_SERIAL 0xDC
#define | INTERNAL_SERIAL_LENGTH_BITS 80
#define | INTERNAL_SERIAL_START_ADDRESS 0x0E

## Functions
void | USB_Device_SendRemoteWakeup (void)
static PRAGMA_ALWAYS_INLINE uint16_t | USB_Device_GetFrameNumber (void) ATTR_ALWAYS_INLINE ATTR_WARN_UNUSED_RESULT
static PRAGMA_ALWAYS_INLINE void | USB_Device_EnableSOFEvents (void) ATTR_ALWAYS_INLINE
static PRAGMA_ALWAYS_INLINE void | USB_Device_DisableSOFEvents (void) ATTR_ALWAYS_INLINE

## Macro Definition Documentation

#define INTERNAL_SERIAL_LENGTH_BITS 80

Definition at line 82 of file Device_LPC11Uxx.h.

#define INTERNAL_SERIAL_START_ADDRESS 0x0E

Definition at line 84 of file Device_LPC11Uxx.h.

#define USB_DEVICE_OPT_FULLSPEED (0 << 0)

Definition at line 73 of file Device_LPC11Uxx.h.

#define USB_DEVICE_OPT_LOWSPEED (1 << 0)

Definition at line 70 of file Device_LPC11Uxx.h.

#define USE_INTERNAL_SERIAL 0xDC

Definition at line 80 of file Device_LPC11Uxx.h.

## Function Documentation

static void USB_Device_DisableSOFEvents | ( | void |  | ) |
| inline static

Definition at line 113 of file Device_LPC11Uxx.h.

static void USB_Device_EnableSOFEvents | ( | void |  | ) |
| inline static

Definition at line 107 of file Device_LPC11Uxx.h.

static uint16_t USB_Device_GetFrameNumber | ( | void |  | ) |
| inline static

Definition at line 97 of file Device_LPC11Uxx.h.

void USB_Device_SendRemoteWakeup | ( | void |  | ) |

Definition at line 39 of file Device.c.